PreferencesDialog
Date: 2019-10-22

org.openscience.jmol.app.jmolpanel

## Class PreferencesDialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - org.openscience.jmol.app.jmolpanel.PreferencesDialog

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class PreferencesDialog
      extends javax.swing.JDialog
      implements java.awt.event.ActionListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `PreferencesDialog.PrefsAction`

    - ### Nested classes/interfaces inherited from class javax.swing.JDialog

      `javax.swing.JDialog.AccessibleJDialog`

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JRadioButton` | `abNo`
    `private javax.swing.JRadioButton` | `abYes`
    `private javax.swing.JButton` | `applyButton`
    `private boolean` | `autoBond`
    `(package private) boolean` | `axesOrientationRasmol`
    `(package private) javax.swing.JButton` | `bButton`
    `private javax.swing.JSlider` | `bdSlider`
    `(package private) int` | `bondingVersion`
    `(package private) float` | `bondTolerance`
    `private javax.swing.JSlider` | `btSlider`
    `private javax.swing.JSlider` | `bwSlider`
    `private javax.swing.JButton` | `cancelButton`
    `private javax.swing.JCheckBox` | `cbAxesOrientationRasmol`
    `private javax.swing.JCheckBox` | `cbClearHistory`
    `private javax.swing.JCheckBox` | `cbOpenFilePreview`
    `private javax.swing.JCheckBox` | `cbPerspectiveDepth`
    `private javax.swing.JCheckBox` | `cbShowAxes`
    `private javax.swing.JCheckBox` | `cbShowBoundingBox`
    `private javax.swing.JCheckBox` | `cH`
    `(package private) java.awt.event.ItemListener` | `checkBoxListener`
    `(package private) boolean` | `clearHistory`
    `private javax.swing.JCheckBox` | `cM`
    `private java.util.Map<java.lang.String,javax.swing.Action>` | `commands`
    `(package private) java.util.Properties` | `currentProperties`
    `(package private) javax.swing.JButton` | `eButton`
    `(package private) int` | `fontScale`
    `(package private) GuiMap` | `guimap`
    `(package private) JmolPanel` | `jmol`
    `private java.util.Properties` | `jmolDefaultProperties`
    `(package private) static java.lang.String[]` | `jmolDefaults`
    `private javax.swing.JButton` | `jmolDefaultsButton`
    `(package private) short` | `marBond`
    `(package private) float` | `minBondDistance`
    `private javax.swing.JButton` | `okButton`
    `(package private) boolean` | `openFilePreview`
    `private java.util.Properties` | `originalSystemProperties`
    `(package private) javax.swing.JButton` | `pButton`
    `(package private) int` | `percentVdwAtom`
    `(package private) boolean` | `perspectiveDepth`
    `private PreferencesDialog.PrefsAction` | `prefsAction`
    `private javax.swing.JButton` | `rasmolDefaultsButton`
    `(package private) static java.lang.String[]` | `rasmolOverrides`
    `(package private) boolean` | `showAxes`
    `(package private) boolean` | `showBoundingBox`
    `(package private) boolean` | `showHydrogens`
    `(package private) boolean` | `showMeasurements`
    `(package private) javax.swing.JButton` | `tButton`
    `(package private) javax.swing.JButton` | `vButton`
    `private javax.swing.JSlider` | `vdwPercentSlider`
    `(package private) Viewer` | `vwr`

    - ### Fields inherited from class javax.swing.JDialog

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreferencesDialog(JmolPanel jmol, javax.swing.JFrame f, GuiMap guimap, Viewer vwr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)`
    `private void` | `apply()`
    `javax.swing.JPanel` | `buildAtomsPanel()`
    `javax.swing.JPanel` | `buildBondPanel()`
    `javax.swing.JPanel` | `buildDispPanel()`
    `void` | `cancel()`
    `protected void` | `centerDialog()`
    `protected javax.swing.Action` | `getAction(java.lang.String cmd)`
    `javax.swing.Action[]` | `getActions()`
    `private java.util.Dictionary<java.lang.Object,java.lang.Object>` | `getJSliderLabelTable(javax.swing.JSlider slider)`
    `(package private) void` | `initializeProperties()`
    `(package private) void` | `initVariables()`
    `void` | `ok()`
    `(package private) void` | `rebond()`
    `(package private) void` | `resetDefaults(java.lang.String[] overrides)`
    `(package private) void` | `save()`
    `void` | `setFontScale(int scale)`
    `private void` | `updateComponents()`

    - ### Methods inherited from class javax.swing.JDialog

      `addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### autoBond

          private boolean autoBond

    - #### showHydrogens

          boolean showHydrogens

    - #### showMeasurements

          boolean showMeasurements

    - #### perspectiveDepth

          boolean perspectiveDepth

    - #### showAxes

          boolean showAxes

    - #### showBoundingBox

          boolean showBoundingBox

    - #### axesOrientationRasmol

          boolean axesOrientationRasmol

    - #### openFilePreview

          boolean openFilePreview

    - #### clearHistory

          boolean clearHistory

    - #### fontScale

          int fontScale

    - #### minBondDistance

          float minBondDistance

    - #### bondTolerance

          float bondTolerance

    - #### marBond

          short marBond

    - #### percentVdwAtom

          int percentVdwAtom

    - #### bondingVersion

          int bondingVersion

    - #### bButton

          javax.swing.JButton bButton

    - #### pButton

          javax.swing.JButton pButton

    - #### tButton

          javax.swing.JButton tButton

    - #### eButton

          javax.swing.JButton eButton

    - #### vButton

          javax.swing.JButton vButton

    - #### abYes

          private javax.swing.JRadioButton abYes

    - #### abNo

          private javax.swing.JRadioButton abNo

    - #### vdwPercentSlider

          private javax.swing.JSlider vdwPercentSlider

    - #### bdSlider

          private javax.swing.JSlider bdSlider

    - #### bwSlider

          private javax.swing.JSlider bwSlider

    - #### btSlider

          private javax.swing.JSlider btSlider

    - #### cH

          private javax.swing.JCheckBox cH

    - #### cM

          private javax.swing.JCheckBox cM

    - #### cbPerspectiveDepth

          private javax.swing.JCheckBox cbPerspectiveDepth

    - #### cbShowAxes

          private javax.swing.JCheckBox cbShowAxes

    - #### cbShowBoundingBox

          private javax.swing.JCheckBox cbShowBoundingBox

    - #### cbAxesOrientationRasmol

          private javax.swing.JCheckBox cbAxesOrientationRasmol

    - #### cbOpenFilePreview

          private javax.swing.JCheckBox cbOpenFilePreview

    - #### cbClearHistory

          private javax.swing.JCheckBox cbClearHistory

    - #### originalSystemProperties

          private java.util.Properties originalSystemProperties

    - #### jmolDefaultProperties

          private java.util.Properties jmolDefaultProperties

    - #### currentProperties

          java.util.Properties currentProperties

    - #### prefsAction

          private PreferencesDialog.PrefsAction prefsAction

    - #### commands

          private java.util.Map<java.lang.String,javax.swing.Action> commands

    - #### jmolDefaults

          static final java.lang.String[] jmolDefaults

    - #### rasmolOverrides

          static final java.lang.String[] rasmolOverrides

    - #### jmol

          JmolPanel jmol

    - #### vwr

          Viewer vwr

    - #### guimap

          GuiMap guimap

    - #### checkBoxListener

          java.awt.event.ItemListener checkBoxListener

    - #### applyButton

          private javax.swing.JButton applyButton

    - #### jmolDefaultsButton

          private javax.swing.JButton jmolDefaultsButton

    - #### rasmolDefaultsButton

          private javax.swing.JButton rasmolDefaultsButton

    - #### cancelButton

          private javax.swing.JButton cancelButton

    - #### okButton

          private javax.swing.JButton okButton

  - ### Constructor Detail

    - #### PreferencesDialog

          public PreferencesDialog(JmolPanel jmol,
                                   javax.swing.JFrame f,
                                   GuiMap guimap,
                                   Viewer vwr)

  - ### Method Detail

    - #### buildDispPanel

          public javax.swing.JPanel buildDispPanel()

    - #### buildAtomsPanel

          public javax.swing.JPanel buildAtomsPanel()

    - #### getJSliderLabelTable

          private java.util.Dictionary<java.lang.Object,java.lang.Object> getJSliderLabelTable(javax.swing.JSlider slider)

    - #### buildBondPanel

          public javax.swing.JPanel buildBondPanel()

    - #### centerDialog

          protected void centerDialog()

    - #### ok

          public void ok()

    - #### cancel

          public void cancel()

    - #### updateComponents

          private void updateComponents()

    - #### apply

          private void apply()

    - #### save

          void save()

    - #### initializeProperties

          void initializeProperties()

    - #### resetDefaults

          void resetDefaults(java.lang.String[] overrides)

    - #### rebond

          void rebond()

    - #### initVariables

          void initVariables()

    - #### getActions

          public javax.swing.Action[] getActions()

    - #### getAction

          protected javax.swing.Action getAction(java.lang.String cmd)

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### setFontScale

          public void setFontScale(int scale)